//SunShade
//Made for Chris Barrett, founder of http://PRserve.com
//At NextFab Studio, Philadelphia PA, http://nextfabstudio.com
//Design by Chris Thompson
//CC-BY-SA 2013, http://creativecommons.org/licenses/by-sa/2.0/
//Version 1.0

//dimensions
displayX = 20;
displayY = 10.5;
displayZ = 10;
display = [displayX,displayY,displayZ];

//printing tolerances
tolX = .1229;
tolY = .1229;
tolZ = .1;
tolerance = [tolX,tolY,tolZ];

//wall thickness
th = 1; 
thickness = [th,th,th*2];

//friction dot size
dot = 10; 
dotH = .3; //dot height

//rotated to print:
translate([0,th,displayX+th]) rotate([-90,90,0]) gShade();

//unrotated to edit:
//gShade();

module gShade(){
	union(){
		//spheres ~3mm wide, .3 high
		translate([displayX-3,3,-dot/2+dotH]) difference(){
			sphere(r=dot/2, $fn=100);
			translate([0,0,-dotH-.1]) cube(dot, center=true);
		}
		translate([displayX-3,3,dot/2+displayZ+tolZ-dotH]) difference(){
			sphere(r=dot/2, $fn=100);
			translate([0,0,dotH+.01]) cube(dot, center=true);
		}
		
		//main body
		difference(){
			translate([0, -displayY/2, -th]) cube(display+thickness);
			translate([-.01, -displayY/2-.01,0]) cube(display+tolerance);
		}
	}
}